Attribute VB_Name = "configuration"
'---------------------------------------------------------------------------------------
' Module    : configuration
' Author    : S. Gentile / Upstate Networks
' Date      : 5/18/2011
' Purpose   : retrieving / saving data to configuration file
'---------------------------------------------------------------------------------------

'************************************************************************************
' Declaration of API
'************************************************************************************

'API Function to read information from INI File
Public Declare Function GetPrivateProfileString Lib "kernel32" _
    Alias "GetPrivateProfileStringA" (ByVal lpApplicationName As String, ByVal lpKeyName As Any _
    , ByVal lpDefault As String, ByVal lpReturnedString As String, ByVal nSize As Long _
    , ByVal lpFileName As String) As Long

'API Function to write information to the INI File
Private Declare Function WritePrivateProfileString Lib "kernel32" _
    Alias "WritePrivateProfileStringA" (ByVal lpApplicationName As String, ByVal lpKeyName As Any _
    , ByVal lpString As Any, ByVal lpFileName As String) As Long

'Get the INI Setting from the File
Public Function GetINISetting(ByVal sHeading As String, ByVal sKey As String, sINIFileName) As String
    
    Const cparmLen = 50
    Dim sReturn As String * cparmLen
    Dim sDefault As String * cparmLen
    Dim lLength As Long
    lLength = GetPrivateProfileString(sHeading, sKey _
            , sDefault, sReturn, cparmLen, sINIFileName)
    GetINISetting = Mid(sReturn, 1, lLength)

End Function

'Save INI Setting in the File
Public Function PutINISetting(ByVal sHeading As String, ByVal sKey As String, ByVal sSetting As String, sINIFileName) As Boolean
    
    Const cparmLen = 50
    Dim sReturn As String * cparmLen
    Dim sDefault As String * cparmLen
    Dim aLength As Long
    aLength = WritePrivateProfileString(sHeading, sKey _
            , sSetting, sINIFileName)
    PutINISetting = True
    
End Function

Public Sub getSettings()

    main.portNumber = GetINISetting("SETTINGS", "port", App.Path & "\config.ini")
    main.txtCommPort.Text = main.portNumber
    
End Sub

Public Sub saveSettings()

    Select Case MsgBox("Do you want to restart with the new Comm Port?", vbOKCancel + vbQuestion, "UNI ASD TEST")
        Case vbOK
            PutINISetting "SETTINGS", "port", main.txtPortSettings.Text, App.Path & "\config.ini"
            Unload main
            Splash.Show
        End Select
        
End Sub
